#Include once "window9.bi"

Function CheckBoxGadget Alias "CheckBoxGadget" (ByVal gadget As Integer, ByVal x As Integer,ByVal y As Integer,ByVal Width_ As Integer,ByVal height_ As Integer,ByVal stri As String="",ByVal par As Integer=BS_AUTOCHECKBOX) As HWND Export
  Var hhh= CreateWindowEx( 0, "Button", stri, WS_VISIBLE Or WS_CHILD Or par, x, y, Width_, Height_, Cast(HWND,GETGURRENTAL()), Cast(HMENU,gadget), 0, 0)
  ADDIN9999 (gadget,hhh)
  ColorAdd(hhh,15790320,0)
  If GGF()<>0 Then
    SendMessage(Cast(hwnd,hhh),WM_SETFONT,GGF(),0)
  EndIf
  Return hhh
End Function
